Bug 136083 - New port: devel/py-gitosis Software for hosting git repositories
Summary: New port: devel/py-gitosis Software for hosting git repositories
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-27 08:00 UTC by Douglas Thrift
Modified: 2009-09-15 22:20 UTC (History)
0 users

See Also:


Attachments
py-gitosis.shar (9.37 KB, text/plain)
2009-06-27 08:00 UTC, Douglas Thrift
no flags Details
file.diff (874 bytes, patch)
2009-06-27 08:00 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2009-06-27 08:00:06 UTC
Manage git repositories, provide access to them over SSH, with tight
access control and not needing shell accounts.

Gitosis aims to make hosting git repos easier and safer. It manages
multiple repositories under one user account, using SSH keys to
identify users. End users do not need shell accounts on the server,
they will talk to one shared account that will not let them run
arbitrary commands.
Comment 1 Edwin Groothuis freebsd_committer 2009-06-27 08:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Nicola Vitale freebsd_committer 2009-08-10 12:47:59 UTC
Responsible Changed
From-To: freebsd-python->nivit

I will take it.
Comment 3 Douglas Thrift 2009-09-03 10:18:10 UTC
Hello,

Just wondering what's going on with this.

Thanks!
____________________________________________________________
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 4 dfilter service freebsd_committer 2009-09-15 09:23:38 UTC
nivit       2009-09-15 08:23:25 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-gitosis     Makefile distinfo pkg-descr pkg-install 
                         pkg-message pkg-plist 
  Log:
  Manage git repositories, provide access to them over SSH, with tight
  access control and not needing shell accounts.
  
  Gitosis aims to make hosting git repos easier and safer. It manages
  multiple repositories under one user account, using SSH keys to
  identify users. End users do not need shell accounts on the server,
  they will talk to one shared account that will not let them run
  arbitrary commands.
  
  WWW: http://eagain.net/gitweb/?p=gitosis.git
  
  PR:             ports/136083
  Submitted by:   Douglas Thrift <douglas at douglasthrift.net>
  
  Revision  Changes    Path
  1.3632    +1 -0      ports/devel/Makefile
  1.1       +36 -0     ports/devel/py-gitosis/Makefile (new)
  1.1       +3 -0      ports/devel/py-gitosis/distinfo (new)
  1.1       +10 -0     ports/devel/py-gitosis/pkg-descr (new)
  1.1       +43 -0     ports/devel/py-gitosis/pkg-install (new)
  1.1       +5 -0      ports/devel/py-gitosis/pkg-message (new)
  1.1       +92 -0     ports/devel/py-gitosis/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Nicola Vitale freebsd_committer 2009-09-15 09:25:49 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 6 dfilter service freebsd_committer 2009-09-15 22:10:14 UTC
nivit       2009-09-15 21:09:55 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
  - Add UID/GID:211 for devel/py-gitosis
  
  PR:             ports/136083
  Submitted by:   Douglas William Thrift <douglas@douglasthrift.net>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.81      +2 -1      ports/GIDs
  1.95      +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"